Bug 127374 - ACPI sleep (S3) hangs ThinkPad X24
ACPI sleep (S3) hangs ThinkPad X24
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 08:37 EDT by Ben Liblit
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.9-1.3_FC2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-21 14:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2004-07-07 08:37:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
My ThinkPad X24 laptop claims to support ACPI sleep mode S3:

  % cat /proc/acpi/sleep
  S0 S3 S4 S5

However, attempting to go into S3 mode hangs the laptop.

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. echo 3 >/proc/acpi/sleep

Actual Results:  A console message appears reporting that all
processes are being stopped.  This is quickly followed by a second
message: "PM: Entering state."

Fan and hard drive now turn off.  The screen goes blank, but not dark.
 The LCD is still being illuminated; it clearly is not powered off. 
Crescent-shaped indicator light on laptop base lights up.

Laptop is now completely unresponsive.  Tapping the "Fn" key does not
bring it back.  Closing and opening the lid does not bring it back. 
Tapping the power key does not bring it back.  Even holding down the
power key for several seconds, which should turn the laptop off, has
no effect.  The only way to recover from this state is to remove all
power sources (battery & AC).

Expected Results:  The LCD should have powered off.  The laptop should
have woken up from S3 in response to tapping the "Fn" key, opening the
lid, or any of the other usual triggers.

Additional info:

The bug is consistently reproducible even when booted into single user
mode.  This eliminates X11, network drivers, and most modules as
possible culprits.  When my laptop is running in single user mode, the
only loaded modules are:

  nls_utf8
  nls_cp437
  vfat
  fat
  pcspkr
  nvram
  dm_mod
  uhci_hcd
  button
  battery
  asus_acpi
  ac
  ext3
  jbd
Comment 1 Ben Liblit 2004-08-17 01:48:02 EDT
For what it's worth, this bug still appears exactly as describe above
using the current Fedora Core 2 kernel-2.6.7-1.494.2.2.

{pout}
Comment 2 Colin Charles 2004-11-21 05:07:06 EST
Can you try the latest FC2 kernel, which is similar to the latest FC3
kernel (or FC3 in itself) and see if it fixes your issues
Comment 3 Ben Liblit 2004-11-21 14:55:51 EST
Colin, thanks for suggesting I take a second look at this.  Using
kernel-2.6.9-1.3_FC2, my laptop no longer hangs when put into S3 sleep
mode.  It sleeps when asked and comes back when asked.  Hooray!

There are a few outstanding problems.  The internal LCD display
remains illuminated, and the kernel prints debug messages regarding
calling a "sleeping function" from an "invalid context".

However, the hang is gone, so this bug is now resolved.  I will file
two new reports for the outstanding problems noted above.

Note You need to log in before you can comment on or make changes to this bug.